CustomerAppMenuItem
System and settings6 EndpointsSettings / CustomerAppMenuItem
Returns a list of all CustomerAppMenuItem entries
GET/api/settings/customer_app_menu_item
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
default
curl --request GET \
--url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/customer_app_menu_item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/settings/customer_app_menu_item', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/customer_app_menu_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CustomerAppMenuItemController.getAll();
if (result.success) {
print(result.data);
}Add a new CustomerAppMenuItem
POST/api/settings/customer_app_menu_item
Request body application/json
dataCustomerAppMenuItemShow fields (19)
idintegerPrimary key of the menu item. Internal ID.
item_keystringUnique key of the menu item.
enabledbooleanWhether the menu item is shown in the app.
titlestringTitle of the menu item shown in the app.
iconstringIcon of the menu item.
routestringRoute the menu item opens.
item_typestringType of the menu item.
menu_groupCustomerAppMenuGroup2Menu group the item belongs to.
sort_orderintegerPosition of the item in the menu.
tab_bar_enabledbooleanWhether the item is shown in the tab bar.
tab_bar_priorityintegerPriority of the item in the tab bar.
visibility_rulestringRule that decides when the item is visible.
server_constraintsstringServer-side constraints as JSON array. Example: [{"type": "app_config", "key": "C_APP_ENABLE_FUNCTION_NEWS"}]
client_constraintsstringClient-side constraint tags as JSON array. Example: [{"type": "platform", "value": "web"}]
min_build_idintegerLowest app build the item is shown for.
max_build_idintegerHighest app build the item is shown for.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
Responses
default
curl --request POST \
--url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"title": "Beispiel",
"item_key": "string",
"enabled": true,
"icon": "string",
"route": "string"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
title: 'Beispiel',
item_key: 'string',
enabled: true,
icon: 'string',
route: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/customer_app_menu_item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item"
payload = { "data": {
"id": 42,
"title": "Beispiel",
"item_key": "string",
"enabled": True,
"icon": "string",
"route": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/settings/customer_app_menu_item', [
'body' => '{"data":{"id":42,"title":"Beispiel","item_key":"string","enabled":true,"icon":"string","route":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"title\":\"Beispiel\",\"item_key\":\"string\",\"enabled\":true,\"icon\":\"string\",\"route\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"title\":\"Beispiel\",\"item_key\":\"string\",\"enabled\":true,\"icon\":\"string\",\"route\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item"
payload := strings.NewReader("{\"data\":{\"id\":42,\"title\":\"Beispiel\",\"item_key\":\"string\",\"enabled\":true,\"icon\":\"string\",\"route\":\"string\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/customer_app_menu_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/customer_app_menu_item_admin.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CustomerAppMenuItemController.post(CustomerAppMenuItemAdmin.fromJson({
"id": 42,
"title": "Beispiel",
"item_key": "string",
"enabled": true,
"icon": "string",
"route": "string"
}));
if (result.success) {
print(result.data);
}Returns a single CustomerAppMenuItem entry.
GET/api/settings/customer_app_menu_item/{identifier}
Path parameters
identifierrequiredstring |
Responses
default
curl --request GET \
--url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/customer_app_menu_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CustomerAppMenuItemController.get('42');
if (result.success) {
print(result.data);
}Updates an existing CustomerAppMenuItem entry.
PUT/api/settings/customer_app_menu_item/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataCustomerAppMenuItemShow fields (19)
idintegerPrimary key of the menu item. Internal ID.
item_keystringUnique key of the menu item.
enabledbooleanWhether the menu item is shown in the app.
titlestringTitle of the menu item shown in the app.
iconstringIcon of the menu item.
routestringRoute the menu item opens.
item_typestringType of the menu item.
menu_groupCustomerAppMenuGroup2Menu group the item belongs to.
sort_orderintegerPosition of the item in the menu.
tab_bar_enabledbooleanWhether the item is shown in the tab bar.
tab_bar_priorityintegerPriority of the item in the tab bar.
visibility_rulestringRule that decides when the item is visible.
server_constraintsstringServer-side constraints as JSON array. Example: [{"type": "app_config", "key": "C_APP_ENABLE_FUNCTION_NEWS"}]
client_constraintsstringClient-side constraint tags as JSON array. Example: [{"type": "platform", "value": "web"}]
min_build_idintegerLowest app build the item is shown for.
max_build_idintegerHighest app build the item is shown for.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
Responses
default
curl --request PUT \
--url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"title": "Beispiel",
"item_key": "string",
"enabled": true,
"icon": "string",
"route": "string"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
title: 'Beispiel',
item_key: 'string',
enabled: true,
icon: 'string',
route: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"
payload = { "data": {
"id": 42,
"title": "Beispiel",
"item_key": "string",
"enabled": True,
"icon": "string",
"route": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42', [
'body' => '{"data":{"id":42,"title":"Beispiel","item_key":"string","enabled":true,"icon":"string","route":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"title\":\"Beispiel\",\"item_key\":\"string\",\"enabled\":true,\"icon\":\"string\",\"route\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"title\":\"Beispiel\",\"item_key\":\"string\",\"enabled\":true,\"icon\":\"string\",\"route\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"title\":\"Beispiel\",\"item_key\":\"string\",\"enabled\":true,\"icon\":\"string\",\"route\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/customer_app_menu_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/customer_app_menu_item_admin.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CustomerAppMenuItemController.put(CustomerAppMenuItemAdmin.fromJson({
"id": 42,
"title": "Beispiel",
"item_key": "string",
"enabled": true,
"icon": "string",
"route": "string"
}));
if (result.success) {
print(result.data);
}Updates an existing CustomerAppMenuItem entry.
PATCH/api/settings/customer_app_menu_item/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataCustomerAppMenuItemShow fields (19)
idintegerPrimary key of the menu item. Internal ID.
item_keystringUnique key of the menu item.
enabledbooleanWhether the menu item is shown in the app.
titlestringTitle of the menu item shown in the app.
iconstringIcon of the menu item.
routestringRoute the menu item opens.
item_typestringType of the menu item.
menu_groupCustomerAppMenuGroup2Menu group the item belongs to.
sort_orderintegerPosition of the item in the menu.
tab_bar_enabledbooleanWhether the item is shown in the tab bar.
tab_bar_priorityintegerPriority of the item in the tab bar.
visibility_rulestringRule that decides when the item is visible.
server_constraintsstringServer-side constraints as JSON array. Example: [{"type": "app_config", "key": "C_APP_ENABLE_FUNCTION_NEWS"}]
client_constraintsstringClient-side constraint tags as JSON array. Example: [{"type": "platform", "value": "web"}]
min_build_idintegerLowest app build the item is shown for.
max_build_idintegerHighest app build the item is shown for.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
Responses
default
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"title": "Beispiel",
"item_key": "string",
"enabled": true,
"icon": "string",
"route": "string"
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
title: 'Beispiel',
item_key: 'string',
enabled: true,
icon: 'string',
route: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"
payload = { "data": {
"id": 42,
"title": "Beispiel",
"item_key": "string",
"enabled": True,
"icon": "string",
"route": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42', [
'body' => '{"data":{"id":42,"title":"Beispiel","item_key":"string","enabled":true,"icon":"string","route":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"title\":\"Beispiel\",\"item_key\":\"string\",\"enabled\":true,\"icon\":\"string\",\"route\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"title\":\"Beispiel\",\"item_key\":\"string\",\"enabled\":true,\"icon\":\"string\",\"route\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"title\":\"Beispiel\",\"item_key\":\"string\",\"enabled\":true,\"icon\":\"string\",\"route\":\"string\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"id": 42,
"title": "Beispiel",
"item_key": "string",
"enabled": true,
"icon": "string",
"route": "string"
}
}),
);
print(response.body);Delete a CustomerAppMenuItem (soft delete)
DELETE/api/settings/customer_app_menu_item/{identifier}
Path parameters
identifierrequiredstring |
Responses
default
curl --request DELETE \
--url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'DELETE', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Delete,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42")
.delete(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/customer_app_menu_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CustomerAppMenuItemController.delete('42');
if (result.success) {
print(result.data);
}